Bug 492675 - Nautilus does not respect secondary group permissions when copying files
Nautilus does not respect secondary group permissions when copying files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 19:37 EDT by Jim Harris
Modified: 2015-03-03 17:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Harris 2009-03-27 19:37:09 EDT
Description of problem:
When copying a file from a folder owned by user "X", to a folder owned by user "Y", if user "X" is also a member of group "Y", and the folder permissions are "775" the file is not allowed to be copied with a "permission denied" error.

Version-Release number of selected component (if applicable):
Nautilus 2.24.2

How reproducible:


Steps to Reproduce:
1. Create a standard user "X" ("X" = whomever you want)
2. Create a standard user "guest", group "guest"
3. Create a folder owned by "guest:guest"
4. Make sure user "X" is also a member of group "guest" (use the "users and groups tool to check/set this)
5. Chmod this folder "6775"
6. Attempt to move a folder, file, or whatever from the "X" desktop to the folder owned by "guest"

Expected Result:
Objects can be created by user "X" in the folder chown'd guest:guest

Actual results:
Attempt to move an object results in a permission error unless the folder is chmod 777 (or 6777, etc.)


Expected results:


Additional info:
Comment 1 Alexander Larsson 2009-03-31 04:50:26 EDT
Thats pretty weird, we don't do any permissions checking, just report the errors the kernel gives.
Comment 2 Alexander Larsson 2009-03-31 05:11:31 EDT
bug 478430 seems to be a similar issue.
Comment 3 Alexander Larsson 2009-04-02 09:10:54 EDT
I don't see this:

ls -ld /tmp/guest-folder/
drwsrwsr-x 3 guest guest 4096 2009-04-02 15:06 /tmp/guest-folder/

But i can still dnd stuff from the desktop to that folder. (Although i had to re-login after adding myself to the group.)
Comment 4 Alexander Larsson 2009-04-02 09:29:01 EDT
What exactly do you do in nautilus, and exactly what error do you get.
Comment 5 Jim Harris 2009-04-02 12:25:40 EDT
On my system, I have a RAID-10 array (4 drives) mounted on /raid/Storage3.

The array contains one shared (Samba) folder "Public", which contains a host of other folders.

Public is (was) chmod 6775
All sub-folders were chmod -R 6775

Public (and subfolders) were chown guest:guest

I have my normal login user "Jim" (UID/GID 500) set as "guest" as a secondary group.

I have a "guest" user (UID/GID 501) set to have no login shell (as it is not a "normal" login, but exists ONLY for SMB).

I try to copy something from my desktop to the "Public" folder, or one of the subfolders.

I get a "Permission Denied" error.
Comment 6 Alexander Larsson 2009-04-03 04:31:29 EDT
And to copy you do a drag and drop from a nautilus window to another nautilus window?

Oh, and are you copying to the local version of the Public folder, or to the samba mount of the same folder?

Can you try 
gvfs-copy ~/Desktop/some-file /raid/Storage3/Public
Comment 7 Bug Zapper 2009-11-18 06:37:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:07:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.